ProcessGroupResource
RESTful endpoint for managing a Group.
The following resources are applicable:
- /controller/process-groups/{process-group-id}
- /controller/process-groups/{process-group-id}/process-group-references
- /controller/process-groups/{process-group-id}/process-group-references/{id}
- /controller/process-groups/{process-group-id}/snippet-instance
- /controller/process-groups/{process-group-id}/status
- /controller/process-groups/{process-group-id}/status/history
- /controller/process-groups/{process-group-id}/template-instance
/controller/process-groups/{process-group-id}
Mount Point: /rest/controller/process-groups/{process-group-id}
The following operations are supported on this resource:
GET
Retrieves the content of the specified group. This includes all processors, the connections, the process group references, the remote process group references, and the labels.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| recursive | Optional recursive flag that defaults to false. If set to true, all descendent groups and their content will be included if the verbose flag is also set to true. | query | false |
| verbose | Optional verbose flag that defaults to false. If the verbose flag is set to true processor configuration and property details will be included in the response. | query | false |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
PUT
Updates the state of all processors in the process group. Supports modifying whether the processors and process groups are running/stopped and instantiating templates.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| running | Optional flag that indicates whether all processors in this group should be started/stopped. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
PUT
Updates the state of all processors in the process group. Supports modifying whether the processors and process groups are running/stopped and instantiating templates.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity
/controller/process-groups/{process-group-id}/process-group-references
Mount Point: /rest/controller/process-groups/{process-group-id}/process-group-references
The following operations are supported on this resource:
GET
Retrieves the content of the specified group reference.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| verbose | Optional verbose flag that defaults to false. If the verbose flag is set to true processor configuration and property details will be included in the response. | query | false |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupsEntity |
| media types: | application/xml application/json |
A controllerEntity.
POST
Adds the specified process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| name | The name of the process group | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity
POST
Adds the specified process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity
/controller/process-groups/{process-group-id}/process-group-references/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/process-group-references/{id}
The following operations are supported on this resource:
GET
Retrieves the contents of the specified group.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the process group. | path | |
| recursive | Optional recursive flag that defaults to false. If set to true, all descendent groups and their content will be included if the verbose flag is also set to true. | query | false |
| verbose | Optional verbose flag that defaults to false. If the verbose flag is set to true processor configuration and property details will be included in the response. | query | false |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
PUT
Updates the specified process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the process group | path | |
| name | The name of the process group. | form | |
| comments | The comments for the process group. | form | |
| running | Optional flag that indicates whether all processors should be started/stopped. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
PUT
Updates the specified process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the process group. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
DELETE
Removes the specified process group reference.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the process group to be removed. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
/controller/process-groups/{process-group-id}/snippet-instance
Mount Point: /rest/controller/process-groups/{process-group-id}/snippet-instance
POST
Copies the specified snippet within this ProcessGroup.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| snippetId | The id of the snippet to copy. | form | |
| originX | The x coordinate of the origin of the bounding box. | form | |
| originY | The y coordinate of the origin of the bounding box. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | flowSnippetEntity |
| media types: | application/xml application/json |
A flowSnippetEntity.
/controller/process-groups/{process-group-id}/status
Mount Point: /rest/controller/process-groups/{process-group-id}/status
GET
Retrieves the status report for this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| recursive | Optional recursive flag that defaults to false. If set to true, all descendent groups and their content will be included if the verbose flag is also set to true. | query | false |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | processGroupStatusEntity |
| media types: | application/xml application/json |
A processGroupStatusEntity.
/controller/process-groups/{process-group-id}/status/history
Mount Point: /rest/controller/process-groups/{process-group-id}/status/history
GET
Retrieves the specified remote process groups status history.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | statusHistoryEntity |
| media types: | application/xml application/json |
A processorEntity.
/controller/process-groups/{process-group-id}/template-instance
Mount Point: /rest/controller/process-groups/{process-group-id}/template-instance
POST
Instantiates the specified template within this ProcessGroup.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| templateId | The id of the template to instantiate. | form | |
| originX | The x coordinate of the origin of the bounding box. | form | |
| originY | The y coordinate of the origin of the bounding box. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | flowSnippetEntity |
| media types: | application/xml application/json |
A flowSnippetEntity.